/*CODED BY José Miguel "JMIDEV" Pérez*/
/*CODED BY José Miguel "JMIDEV" Pérez*/
/*CODED BY José Miguel "JMIDEV" Pérez*/
/*CODED BY José Miguel "JMIDEV" Pérez*/
/*CODED BY José Miguel "JMIDEV" Pérez*/
/*CODED BY José Miguel "JMIDEV" Pérez*/

body{

    background: linear-gradient(324deg, #000000 0%, #242424 100%);

}

.topbarmarginedcontent{

    height: calc(100vh - 70px - 300px);
    position: relative;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    text-align: center;
    background: radial-gradient(circle, rgba(0, 0, 0, 1) 0%, rgb(0, 6, 56) 100%);

}

.error404_titlecontainer{

    perspective: 80vmin;

}

@keyframes errortitle_animation{

    from{
        transform: rotateY(90deg);
    }
    to{
        transform: rotateY(-90deg);
    }

}

.error404_title{

    font-family: 'Poppins', sans-serif;
    font-size: 16vmin;
    animation-name: errortitle_animation;
    animation-duration: 2s;
    animation-iteration-count: infinite;
    animation-timing-function: linear;
    filter: drop-shadow(0px 10px 10px #00000079);

}

.white_ERROR{

    color: white;

}

.red_404{

    color: rgb(255, 40, 40);

}

.error404_pagedoesntexist{

    font-family: 'Poppins', sans-serif;
    font-size: 25px;
    color: white;

}

.error404_mainpagebutton{

    width: auto;
    height: auto;
    margin: 20px;
    margin-bottom: 60px;
    padding: 15px;
    --error404_mainpagebutton_sidespadding: 35px;
    padding-left: var(--error404_mainpagebutton_sidespadding);
    padding-right: var(--error404_mainpagebutton_sidespadding);
    border-radius: 1080px;
    border: 2px solid white;
    background: transparent;
    font-family: 'Poppins', sans-serif;
    font-size: 18px;
    color: white;
    transition: 0.2s;
    cursor: pointer;
    
}

.error404_mainpagebutton:hover{

    background: white;
    color: black;

}

@media only screen and (max-height: 740px){

    .topbarmarginedcontent{

        height: 80vh;

    }

}